> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decibel.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user fund history (deprecated)

> **Deprecated:** This endpoint is deprecated. Please use `/api/v1/account_fund_history` instead.
This endpoint is maintained for backwards compatibility only.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/user_fund_history
openapi: 3.1.0
info:
  title: Decibel Trading API
  description: >-
    RESTful API for Decibel. Provides read-only endpoints for market data,
    trading operations, positions, and analytics.
  contact:
    name: Decibel Team
    url: https://decibel.trade/
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.mainnet.aptoslabs.com/decibel
    description: Mainnet
  - url: https://api.testnet.aptoslabs.com/decibel
    description: Testnet
security:
  - bearerAuth: []
tags:
  - name: Market Data
    description: Market information and real-time data endpoints
  - name: User
    description: User information and account management
  - name: Account
    description: Account-specific endpoints and data
  - name: Trades
    description: Trading operations and history
  - name: Positions
    description: User position management
  - name: Orders
    description: Order management and history
  - name: TWAP
    description: Time-weighted average price orders
  - name: Bulk Orders
    description: Bulk order management
  - name: Vaults
    description: Vault operations and management
  - name: Analytics
    description: Analytics and performance metrics
  - name: Points
    description: Points-related account metrics
  - name: Trading Points
    description: Trading points endpoints
  - name: Trading Hz
    description: Trading Hz endpoints
  - name: Tier
    description: Tier information endpoints
  - name: Streaks
    description: User streak tracking endpoints
  - name: Predeposit Rewards
    description: Season 0 predeposit USDC rewards
  - name: Referrals
    description: Referral code management and tracking
  - name: Affiliates
    description: Affiliate code and earnings endpoints
  - name: Campaigns
    description: On-chain reward campaign endpoints
paths:
  /api/v1/user_fund_history:
    get:
      tags:
        - User
      summary: Get user fund history (deprecated)
      description: >-
        **Deprecated:** This endpoint is deprecated. Please use
        `/api/v1/account_fund_history` instead.

        This endpoint is maintained for backwards compatibility only.
      operationId: handle_user_fund_history
      parameters:
        - name: account
          in: query
          description: User account address (`user` query alias is also accepted)
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: Page size
          required: false
          schema:
            type: integer
            format: int32
            default: 10
            maximum: 200
            minimum: 0
          example: 100
        - name: offset
          in: query
          description: Page offset
          required: false
          schema:
            type: integer
            format: int32
            default: 0
            maximum: 10000
            minimum: 0
          example: 0
        - name: start_timestamp
          in: query
          required: false
          schema:
            type: integer
            format: int64
        - name: end_timestamp
          in: query
          required: false
          schema:
            type: integer
            format: int64
        - name: sort_key
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/HistorySortKey'
        - name: sort_dir
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SortDir'
      responses:
        '200':
          description: Fund history retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserFundHistoryResponse'
        '500':
          description: Database error
components:
  schemas:
    HistorySortKey:
      type: string
      description: Sort key for history endpoints
      enum:
        - timestamp
    SortDir:
      type: string
      enum:
        - ASC
        - DESC
    UserFundHistoryResponse:
      type: object
      required:
        - funds
        - total
      properties:
        funds:
          type: array
          items:
            $ref: '#/components/schemas/UserFundDto'
        total:
          type: integer
          format: int64
          minimum: 0
    UserFundDto:
      type: object
      required:
        - movement_type
        - amount
        - balance_after
        - timestamp
        - transaction_version
      properties:
        amount:
          type: number
          format: double
          example: 1000
        balance_after:
          type: number
          format: double
          example: 5000
        movement_type:
          $ref: '#/components/schemas/FundMovementType'
        timestamp:
          type: integer
          format: int64
          example: 1703318400000
        transaction_version:
          type: integer
          format: int64
          example: 12345678
          minimum: 0
    FundMovementType:
      type: string
      enum:
        - deposit
        - withdrawal
        - reward
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token from Geomi. See
        [Authentication](/api-reference/rest/authentication) for setup
        instructions.

````